StaleObjectStateException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class StaleObjectStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.StaleStateException
                          org.hibernate.StaleObjectStateException

All Implemented Interfaces:
  Serializable

    public class StaleObjectStateException

extends StaleStateException

A `StaleStateException` that carries information about a particular entity instance that was the source of the failure.

See Also:
  Serialized Form

Constructor Summary
`StaleObjectStateException(String persistentClass, Serializable identifier)`

Method Summary
`String` | `getEntityName()`
`Serializable` | `getIdentifier()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaleObjectStateException

    public StaleObjectStateException(String persistentClass,
                                     Serializable identifier)

Method Detail

### getEntityName

    public String getEntityName()

### getIdentifier

    public Serializable getIdentifier()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.